Bug 1330041 - python27-python-docutils: wrong interpreter
Summary: python27-python-docutils: wrong interpreter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python-docutils
Version: python27
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 2.2
Assignee: Charalampos Stratakis
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 10:35 UTC by Branislav Náter
Modified: 2016-05-31 10:26 UTC (History)
3 users (show)

Fixed In Version: python27-python-docutils-0.11-2.el6
Doc Type: Bug Fix
Doc Text:
Cause: Shebang was not removed in the SPEC file as intended Consequence: smartquotes.py library file still had the shebang pointing to system python Fix: remove the shebang from smartquotes.py Result: smartquotes.py does not have the shebang pointing to system python
Clone Of:
Environment:
Last Closed: 2016-05-31 10:26:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1166 normal SHIPPED_LIVE Moderate: python27 security, bug fix, and enhancement update 2016-05-31 14:04:55 UTC

Description Branislav Náter 2016-04-25 10:35:06 UTC
Description of problem:
:: [   FAIL   ] :: File '/opt/rh/python27/root/usr/lib/python2.7/site-packages/docutils/utils/smartquotes.py' has wrong interpreter '#!/usr/bin/python'

Version-Release number of selected component (if applicable):
python27-python-docutils-0.11-1.el6


Additional info:
"env python" should be used to use collection python instead of system python.

Comment 1 Charalampos Stratakis 2016-04-26 11:44:16 UTC
For some reason the shebang is removed for this file through the SPEC in RHEL 7 branch but not in RHEL 6 branch.

Comment 5 errata-xmlrpc 2016-05-31 10:26:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1166


Note You need to log in before you can comment on or make changes to this bug.